apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vault
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: https://helm.releases.hashicorp.com
    targetRevision: 0.24.0
    chart: vault
    helm:
      releaseName: vault
      values: |
        server:
          ha:
            enabled: true
            replicas: 3
            raft:
              enabled: true
              setNodeId: true
          image:
            repository: hashicorp/vault
            tag: "1.15.0"
          service:
            type: ClusterIP
          ingress:
            enabled: true
            ingressClassName: nginx
            annotations:
              cert-manager.io/cluster-issuer: letsencrypt-prod
            hosts:
              - host: vault.sankofa.nexus
                paths:
                  - /
        ui:
          enabled: true
        injector:
          enabled: true
        csi:
          enabled: true
  destination:
    server: https://kubernetes.default.svc
    namespace: vault
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - PrunePropagationPolicy=foreground

